Package com.io7m.cardant.database.api

# Interface CADatabaseQueriesItemsType

All Superinterfaces:
  `CADatabaseQueriesType`

All Known Subinterfaces:
  `CADatabaseQueriesItemsType.AttachmentAddType`, `CADatabaseQueriesItemsType.AttachmentRemoveType`, `CADatabaseQueriesItemsType.CreateType`, `CADatabaseQueriesItemsType.DeleteMarkOnlyType`, `CADatabaseQueriesItemsType.DeleteType`, `CADatabaseQueriesItemsType.GetType`, `CADatabaseQueriesItemsType.LocationsType`, `CADatabaseQueriesItemsType.MetadataPutType`, `CADatabaseQueriesItemsType.MetadataRemoveType`, `CADatabaseQueriesItemsType.RepositType`, `CADatabaseQueriesItemsType.SearchType`, `CADatabaseQueriesItemsType.SetNameType`, `CADatabaseQueriesItemsType.TypesAssignType`, `CADatabaseQueriesItemsType.TypesRevokeType`

All Known Implementing Classes:
  `CADBQItemAttachmentAdd`, `CADBQItemAttachmentRemove`, `CADBQItemCreate`, `CADBQItemDelete`, `CADBQItemDeleteMarkOnly`, `CADBQItemGet`, `CADBQItemLocations`, `CADBQItemMetadataPut`, `CADBQItemMetadataRemove`, `CADBQItemReposit`, `CADBQItemSearch`, `CADBQItemSetName`, `CADBQItemTypesAssign`, `CADBQItemTypesRevoke`

public sealed interface CADatabaseQueriesItemsType extends CADatabaseQueriesType permits CADatabaseQueriesItemsType.GetType, CADatabaseQueriesItemsType.CreateType, CADatabaseQueriesItemsType.SetNameType, CADatabaseQueriesItemsType.DeleteType, CADatabaseQueriesItemsType.DeleteMarkOnlyType, CADatabaseQueriesItemsType.MetadataPutType, CADatabaseQueriesItemsType.MetadataRemoveType, CADatabaseQueriesItemsType.AttachmentAddType, CADatabaseQueriesItemsType.AttachmentRemoveType, CADatabaseQueriesItemsType.RepositType, CADatabaseQueriesItemsType.LocationsType, CADatabaseQueriesItemsType.SearchType, CADatabaseQueriesItemsType.TypesAssignType, CADatabaseQueriesItemsType.TypesRevokeType
Model database queries (Items).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `CADatabaseQueriesItemsType.AttachmentAddType`
  Add an attachment to the given item.
  `static interface`
  `CADatabaseQueriesItemsType.AttachmentRemoveType`
  Remove an attachment from the given item.
  `static interface`
  `CADatabaseQueriesItemsType.CreateType`
  Create an item with the given ID.
  `static interface`
  `CADatabaseQueriesItemsType.DeleteMarkOnlyType`
  Mark the given items as deleted.
  `static interface`
  `CADatabaseQueriesItemsType.DeleteType`
  Delete the given items.
  `static interface`
  `CADatabaseQueriesItemsType.GetType`
  Retrieve the item with the given ID, if one exists.
  `static interface`
  `CADatabaseQueriesItemsType.LocationsType`
  Retrieve the locations of the given item.
  `static interface`
  `CADatabaseQueriesItemsType.MetadataPutType`
  Add or update metadata on an item.
  `static interface`
  `CADatabaseQueriesItemsType.MetadataRemoveType`
  Remove metadata from an item.
  `static interface`
  `CADatabaseQueriesItemsType.RepositType`
  Reposit items.
  `static interface`
  `CADatabaseQueriesItemsType.SearchType`
  Start searching for items.
  `static interface`
  `CADatabaseQueriesItemsType.SetNameType`
  Set the name for the given item.
  `static interface`
  `CADatabaseQueriesItemsType.TypesAssignType`
  Assign types to the given item.
  `static interface`
  `CADatabaseQueriesItemsType.TypesRevokeType`
  Revoke types from the given item.

- ## Field Summary

  ### Fields inherited from interface com.io7m.cardant.database.api.CADatabaseQueriesType

  `EARLIEST`